Package org.postgresql.replication

# Class PGReplicationConnectionImpl

java.lang.Object
org.postgresql.replication.PGReplicationConnectionImpl

All Implemented Interfaces:
  `PGReplicationConnection`

public class PGReplicationConnectionImpl extends Object implements PGReplicationConnection

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PGReplicationConnectionImpl(BaseConnection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChainedCreateReplicationSlotBuilder`
  `createReplicationSlot()`
  Create replication slot, that can be next use in `PGReplicationConnection.replicationStream()`
  `void`
  `dropReplicationSlot(String slotName)`
  `ChainedStreamBuilder`
  `replicationStream()`
  After start replication stream this connection not available to use for another queries until replication stream will not close.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PGReplicationConnectionImpl

    public PGReplicationConnectionImpl(BaseConnection connection)

- ## Method Details

  - ### replicationStream

    public ChainedStreamBuilder replicationStream()
    Description copied from interface: `PGReplicationConnection`
    After start replication stream this connection not available to use for another queries until replication stream will not close.
    Specified by:
      `replicationStream` in interface `PGReplicationConnection`
    Returns:
      not null fluent api for build replication stream

  - ### createReplicationSlot

    public ChainedCreateReplicationSlotBuilder createReplicationSlot()
    Description copied from interface: `PGReplicationConnection`

    Create replication slot, that can be next use in `PGReplicationConnection.replicationStream()`

    Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.

    Specified by:
      `createReplicationSlot` in interface `PGReplicationConnection`
    Returns:
      not null fluent api for build create replication slot

  - ### dropReplicationSlot

    public void dropReplicationSlot(String slotName) throws SQLException
    Specified by:
      `dropReplicationSlot` in interface `PGReplicationConnection`
    Parameters:
      `slotName` - not null replication slot name exists in database that should be drop
    Throws:
      `SQLException` - if the replication slot cannot be dropped.